org.hibernate.search.query.dsl.sort.impl

## Class SortFieldStates

- java.lang.Object
- - org.hibernate.search.query.dsl.sort.impl.SortFieldStates

-     public class SortFieldStates
      extends Object

  Holds the list of @{link SortField}s as well as the state of the one being constructed. Use `closeSortField()` to add the current `SortField` to the list of created sort fields. Use `createSort()` to return Lucene's sort object.
  Author:
    Emmanuel Bernard emmanuel@hibernate.org

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<SortField>` | `sortFields`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortFieldStates(QueryBuildingContext queryContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeSortField()`
    `Sort` | `createSort()`
    `void` | `determineCurrentSortFieldTypeAutomaticaly()`
    `boolean` | `isAsc()`
    `boolean` | `isDesc()`
    `void` | `setAsc()`
    `void` | `setCoordinates(Coordinates coordinates)`
    `void` | `setCurrentLatitude(double latitude)`
    `void` | `setCurrentLongitude(double longitude)`
    `void` | `setCurrentMissingValue(Object currentMissingValue)`
    `void` | `setCurrentMissingValueFirst()`
    `void` | `setCurrentMissingValueLast()`
    `void` | `setCurrentName(String fieldName)`
    `void` | `setCurrentSortFieldNativeSortDescription(SortField currentSortField)`
    `void` | `setCurrentStringNativeSortFieldDescription(String nativeSortFieldDescription)`
    `void` | `setCurrentType(SortField.Type currentType)`
    `void` | `setDesc()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sortFields

          public List<SortField> sortFields

  - ### Constructor Detail

    - #### SortFieldStates

          public SortFieldStates(QueryBuildingContext queryContext)

  - ### Method Detail

    - #### setCurrentType

          public void setCurrentType(SortField.Type currentType)

    - #### setCurrentName

          public void setCurrentName(String fieldName)

    - #### setCurrentMissingValue

          public void setCurrentMissingValue(Object currentMissingValue)

    - #### setCurrentMissingValueLast

          public void setCurrentMissingValueLast()

    - #### setCurrentMissingValueFirst

          public void setCurrentMissingValueFirst()

    - #### setAsc

          public void setAsc()

    - #### isAsc

          public boolean isAsc()

    - #### setDesc

          public void setDesc()

    - #### isDesc

          public boolean isDesc()

    - #### setCurrentSortFieldNativeSortDescription

          public void setCurrentSortFieldNativeSortDescription(SortField currentSortField)

    - #### closeSortField

          public void closeSortField()

    - #### determineCurrentSortFieldTypeAutomaticaly

          public void determineCurrentSortFieldTypeAutomaticaly()

    - #### createSort

          public Sort createSort()

    - #### setCoordinates

          public void setCoordinates(Coordinates coordinates)

    - #### setCurrentLatitude

          public void setCurrentLatitude(double latitude)

    - #### setCurrentLongitude

          public void setCurrentLongitude(double longitude)

    - #### setCurrentStringNativeSortFieldDescription

          public void setCurrentStringNativeSortFieldDescription(String nativeSortFieldDescription)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved